﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Service_Server.DB;
using Service_Server.Models;

namespace Service_Server
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in both code and config file together.
    public class Service1 : IService1
    {
        public List<Doctor> GetDoctors()
        {
            Doctor_DB dataaccess = new Doctor_DB();
            return dataaccess.GetAllDoctors();
        }
        public void WritePatient(Person person)
        {
            Person_DB dataaccess = new Person_DB();
            dataaccess.CreatePerson(person);
        }
        public void WriteExam(Exam exam)
        {
            Exam_DB dataaccess = new Exam_DB();
            dataaccess.CreateExam(exam);
        }
        public void WriteResult(Result result)
        {
            Result_DB dataaccess = new Result_DB();
            dataaccess.CreateResult(result);
        }
        public void WritePstatus(PStatus pstatus)
        {
            PStatus_DB dataaccess = new PStatus_DB();
            dataaccess.CreatePstatus(pstatus);
        }

    }
}
