﻿using Service_Server.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web;

namespace Service_Server.DB
{
    public class Origin_DB
    {
        public List<Origin> GetAllOrigins()
        {
            using (DATABASE ctx = new DATABASE())
            {
                return ctx.Origins.ToList();
            }
        }
        public bool CreatePerson(Origin origin)
        {
            try
            {
                using (DATABASE ctx = new DATABASE())
                {
                    ctx.Origins.Add(origin);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }

        public bool UpdateOrigin(Origin origin)
        {
            try
            {
                using (DATABASE ctx = new DATABASE())
                {
                    ctx.Origins.Attach(origin);
                    ctx.Entry(origin).State = System.Data.Entity.EntityState.Modified;
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }

        }
        public bool DeleteOrigin(Origin origin)
        {
            try
            {
                using (DATABASE ctx = new DATABASE())
                {
                    ctx.Origins.Attach(origin);
                    ctx.Origins.Remove(origin);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}
