﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Data.Entity;
using System.Web;

namespace Service_Server.Models
{
    [DataContract]
    public class Person
    {
        private int _PersonId;
        private string _FirstName;
        private string _LastName;
        private PStatus _PStatus;

        [DataMember]
        public int PersonId { get => _PersonId; set => _PersonId = value; }
        [DataMember]
        public string FirstName { get => _FirstName; set => _FirstName = value; }
        [DataMember]
        public string LastName { get => _LastName; set => _LastName = value; }
        [DataMember]
        public virtual PStatus Status { get => _PStatus; set => _PStatus = value; }

        public Person() { }
        public Person(string firstName, string lastName, PStatus pstatus)
        {
            this.FirstName = firstName;
            this.LastName = lastName;
            this._PStatus = pstatus;
        }
    }
}
